<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Profile</title>
    <!-- Favicon-->
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!--Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/><br/>
<div th:if="${currentUser.isOrganizer()} or ${currentUser.getUsername().equals(user.getUsername())}"
     class="page-section-heading text-center text-uppercase text-secondary mb-0">
    <form class="list-inline-item" th:if="${currentUser.isOrganizer()}" action="#"
          th:action="@{/users/{id}/promote(id=${user.id})}"
          method="post">
        <button th:unless="${user.isOrganizer()}"
                class=" btn btn-secondary btn-sm list-inline-item" type="submit">
            Promote
        </button>
    </form>
    <form class="list-inline-item" th:if="${currentUser.isOrganizer()}" action="#"
          th:action="@{/users/{id}/demote(id=${user.id})}"
          method="post">
        <button th:if="${user.isOrganizer()}"
                class=" btn btn-secondary btn-sm list-inline-item" type="submit">
            Demote
        </button>
    </form>
    <a class="list-inline-item" th:if="${currentUser.getUsername().equals(user.getUsername())}"
       th:href="@{/users/{id}/update(id=${user.id})}">
        <button class=" btn btn-secondary btn-sm list-inline-item" type="submit">
            Update
        </button>
    </a>
</div>
<br/>
<div class="page-section-heading text-center text-uppercase text-secondary mb-0">
    <li class="list-inline-item">
        <img th:src="@{${'/img/' + user.photo.fileName}}" width="200" height="140" class="rounded-circle"
             alt="User Photo"/>
    </li>

    <div class="list-inline-item">
        <h5 th:text="(*{user.first_name} + ' ' + *{user.last_name})"></h5>
        <h6 th:text="*{user.username}"></h6>

    </div>
</div>
</br>
<div class="divider-custom">
    <div class="divider-custom-line"></div>
    <h4 th:text="*{rank.role}"></h4>
    <div class="divider-custom-line"></div>
</div>
<div class="page-section-heading text-center text-uppercase text-secondary mb-0">
    <h5 th:text="(*{user.points} + ' Points')"></h5>
</div>
<hr class="my-0"/>
<!--<div class="page-section-heading text-center text-uppercase text-secondary mb-0">-->
<!--    <button type="button" class=" btn btn-secondary btn-sm ">Photos</button>-->
<!--</div>-->

<section class="page-section portfolio" id="portfolio" th:unless="${currentUser.isOrganizer()}">
    <div class="container" th:unless="${currentUser.isOrganizer()}">
        <!-- Portfolio Section Heading-->
        <h2 class=" text-center text-uppercase text-secondary mb-0">Your Contests</h2>
        <div class="divider-custom">
            <div class="divider-custom-line"></div>

        </div>
    </div>
    <div class="row justify-content-center">
        <div th:if="${currentUser.getContests().isEmpty()}">
            <br/>
            <h2 class=" text-center text-uppercase text-secondary mb-0">No Contests Here Yet</h2>
            <br/>
            <h3 class=" text-center mb-0">Try to join a contest to fill this section</h3>
            <br/>
        </div>
        <div th:unless="${currentUser.isOrganizer() and currentUser.getContests() == null}"
             class="col-md-6 col-lg-3 mb-5"
             th:each="contest : ${currentUser.getContests()}">
            <div class="img-frame" style="margin-bottom: 10px">
                <a th:href="@{/contests/{id}(id=${contest.getId()})}">
                    <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                         data-bs-target="#portfolioModal1">
                        <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">
                            <div class="portfolio-item-caption-content text-center text-white">
                                <i th:text="*{contest.title}"></i>
                                <br/>
                                <p class="demo" th:if="${contest.getTimeLimit()} != null"
                                   th:attr="data-endtime=${contest.getTimeLimit()}"></p>
                                <p th:unless="${contest.getTimeLimit()} != null"></p>
                            </div>
                        </div>
                        <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                             alt="..."/>
                    </div>
                </a>
            </div>
            <i th:text="*{contest.phase.phase}"></i>
        </div>
    </div>
</section>
</body>
</html>